org.springframework.batch.sample.domain.order.internal.mapper

## Class OrderItemFieldSetMapper

- java.lang.Object
- - org.springframework.batch.sample.domain.order.internal.mapper.OrderItemFieldSetMapper

- All Implemented Interfaces:
    FieldSetMapper<LineItem>

      public class OrderItemFieldSetMapper
      extends java.lang.Object
      implements FieldSetMapper<LineItem>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DISCOUNT_AMOUNT_COLUMN`
    `static java.lang.String` | `DISCOUNT_PERC_COLUMN`
    `static java.lang.String` | `HANDLING_PRICE_COLUMN`
    `static java.lang.String` | `ITEM_ID_COLUMN`
    `static java.lang.String` | `PRICE_COLUMN`
    `static java.lang.String` | `QUANTITY_COLUMN`
    `static java.lang.String` | `SHIPPING_PRICE_COLUMN`
    `static java.lang.String` | `TOTAL_PRICE_COLUMN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderItemFieldSetMapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LineItem` | `mapFieldSet(FieldSet fieldSet)` Method used to map data obtained from a `FieldSet` into an object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TOTAL_PRICE_COLUMN

          public static final java.lang.String TOTAL_PRICE_COLUMN

      See Also:
        Constant Field Values

    - #### QUANTITY_COLUMN

          public static final java.lang.String QUANTITY_COLUMN

      See Also:
        Constant Field Values

    - #### HANDLING_PRICE_COLUMN

          public static final java.lang.String HANDLING_PRICE_COLUMN

      See Also:
        Constant Field Values

    - #### SHIPPING_PRICE_COLUMN

          public static final java.lang.String SHIPPING_PRICE_COLUMN

      See Also:
        Constant Field Values

    - #### DISCOUNT_AMOUNT_COLUMN

          public static final java.lang.String DISCOUNT_AMOUNT_COLUMN

      See Also:
        Constant Field Values

    - #### DISCOUNT_PERC_COLUMN

          public static final java.lang.String DISCOUNT_PERC_COLUMN

      See Also:
        Constant Field Values

    - #### PRICE_COLUMN

          public static final java.lang.String PRICE_COLUMN

      See Also:
        Constant Field Values

    - #### ITEM_ID_COLUMN

          public static final java.lang.String ITEM_ID_COLUMN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OrderItemFieldSetMapper

          public OrderItemFieldSetMapper()

  - ### Method Detail

    - #### mapFieldSet

          public LineItem mapFieldSet(FieldSet fieldSet)

      Description copied from interface: `FieldSetMapper`
      Method used to map data obtained from a `FieldSet` into an object.
      Specified by:
        `mapFieldSet` in interface `FieldSetMapper<LineItem>`
      Parameters:
        `fieldSet` - the `FieldSet` to map